Get API Key

Retrieve a single v5 API key. The plaintext key is never returned here.

Path Parameters
  • key_id
    Type: string · Key Id
    required
Headers
  • Accept
    enum
    const:  
    application/json
    required

    Response format. Must be application/json.

    values
    • application/json
Responses
  • application/json
  • application/json
  • application/json
Request Example for get/v5/apikeys/{key_id}
curl '/v5/apikeys/{key_id}' \
  --header 'Accept: application/json'
{
  "id": "string",
  "account_id": "string",
  "name": "string",
  "key": "string",
  "key_last4": "string",
  "permissions": [
    "payments:tap-ios"
  ],
  "status": "active",
  "expires_at": "2026-07-10T18:41:46.980Z",
  "created_at": "2026-07-10T18:41:46.980Z",
  "last_used_at": "2026-07-10T18:41:46.980Z",
  "is_legacy": true
}